<?php

namespace App\Http\Controllers\Api;

use App\Command\Log;
use App\Models\Adapay;
use App\Models\UserAddress;
use App\Models\Store;
use App\Models\Good as GoodModel;
use App\Models\GoodSku;
use App\Models\OrderGoods;
use App\Models\OrderInfo as OrderInfoModel;
use App\Models\MerchantGoodSku;
use Dcat\Admin\Grid\Displayers\Orderable;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use League\CommonMark\Node\Query\OrExpr;

class HfOrderController extends BaseController
{

    //退款回调
    public function refundNotify()
    {
        Log::add('--撤销回调结果--', $_POST);
        $fields = $_POST ?? [];

        $res = (new Adapay())->refundNotify($fields);
        return $res;
    }
}
